Skip to main content
GET
/
bank-details
/
countries
/
{code}
/
profile
Get bank-detail field profile for a country
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/bank-details/countries/{code}/profile', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "countryCode": "<string>",
  "countryName": "<string>",
  "defaultCurrencies": [
    "<string>"
  ],
  "accountHolderName": {
    "label": "<string>",
    "placeholder": "<string>",
    "helpText": "<string>",
    "minLength": 123,
    "maxLength": 123,
    "pattern": "<string>",
    "example": "<string>",
    "displayOrder": 123
  },
  "rails": {
    "sepa": true,
    "sepaInstant": true,
    "fasterPayments": true,
    "bacs": true,
    "chaps": true,
    "ach": true,
    "fedWire": true,
    "swift": true,
    "localRailName": "<string>"
  },
  "accountNumber": {
    "label": "<string>",
    "placeholder": "<string>",
    "helpText": "<string>",
    "minLength": 123,
    "maxLength": 123,
    "pattern": "<string>",
    "example": "<string>",
    "displayOrder": 123
  },
  "sortCode": {
    "label": "<string>",
    "placeholder": "<string>",
    "helpText": "<string>",
    "minLength": 123,
    "maxLength": 123,
    "pattern": "<string>",
    "example": "<string>",
    "displayOrder": 123
  },
  "routingNumber": {
    "label": "<string>",
    "placeholder": "<string>",
    "helpText": "<string>",
    "minLength": 123,
    "maxLength": 123,
    "pattern": "<string>",
    "example": "<string>",
    "displayOrder": 123
  },
  "iban": {
    "label": "<string>",
    "placeholder": "<string>",
    "helpText": "<string>",
    "minLength": 123,
    "maxLength": 123,
    "pattern": "<string>",
    "example": "<string>",
    "displayOrder": 123
  },
  "bicSwift": {
    "label": "<string>",
    "placeholder": "<string>",
    "helpText": "<string>",
    "minLength": 123,
    "maxLength": 123,
    "pattern": "<string>",
    "example": "<string>",
    "displayOrder": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

code
string
required

Response

OK

countryCode
string
required

ISO 3166-1 alpha-2 country code (e.g. GB, US, DE)

countryName
string
required
defaultCurrencies
string[]
required

ISO 4217 currency codes (e.g. GBP, USD, EUR)

accountHolderName
object
required
rails
object
required
accountNumber
object
sortCode
object
routingNumber
object
iban
object
bicSwift
object